USE teachcloud_db;

ALTER TABLE `exam_task_sync`
    ADD COLUMN `paper_type` VARCHAR(10) NULL COMMENT '试卷类型' AFTER `paper_number`;

ALTER TABLE `basic_template`
    ADD COLUMN `diallel` TINYINT(1) NULL COMMENT '考生信息是否双列显示' AFTER `enable`,
    ADD COLUMN `text_desc` VARCHAR(500) NULL COMMENT '文字说明' AFTER `diallel`;

ALTER TABLE `exam_paper_structure`
    CHANGE COLUMN `paper_type` `paper_type` VARCHAR(20) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_general_ci' NULL DEFAULT NULL COMMENT '试卷类型' ;

ALTER TABLE `exam_paper_structure`
    CHANGE COLUMN `paper_number` `paper_number` VARCHAR(50) CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_general_ci' NOT NULL COMMENT '试卷编号' ;


ALTER TABLE `exam_task_sync`
    CHANGE COLUMN `paper_type` `paper_type` VARCHAR(50) CHARACTER SET 'utf8mb4' NULL DEFAULT NULL COMMENT '试卷类型' ;

ALTER TABLE `exam_task_sync`
    ADD COLUMN `total_paper_type` VARCHAR(50) NULL COMMENT '所有卷型' AFTER `paper_type`;

ALTER TABLE `basic_school`
    ADD COLUMN `init_password` VARCHAR(100) NULL COMMENT '该学校用户的初始密码，默认为12345678' AFTER `logo`;

ALTER TABLE t_f_flow_log ADD task_id BIGINT NULL COMMENT '流程节点id';

update `exam_task_sync` set total_paper_type = paper_type where total_paper_type is null;
update `basic_school` set init_password = 'MTIzNDU2Nzg=';

UPDATE sys_config SET config_value='500' WHERE config_key='thread.pool.core.size';
UPDATE sys_config SET config_value='true' WHERE config_key='custom.thread.pool.core.size';

INSERT INTO `sys_config` VALUES (401752651068346368, 135, NULL, 'open.flow.message.push', '是否开启消息推送', 'true', NULL, 1, 5, 1, 1686726096298, NULL, 1686726096298);
INSERT INTO `sys_config` VALUES (401752651068346369, 135, NULL, 'flow.message.type', '消息类型', 'OFF_STANDARD', NULL, 1, 6, 1, 1686726096303, NULL, 1686726096303);
INSERT INTO `sys_config` VALUES (401752651068346370, 135, NULL, 'mq.host.url', '消息中心地址', 'http://exam.gdpu.edu.cn:7400?code=gdpu', NULL, 1, 7, 1, 1686726096309, NULL, 1686726096309);

INSERT INTO `sys_privilege` VALUES (875, '我教课程选择', 'MyTeachCourse', 'BUTTON', 40, 10, 'AUTH', '759', 1, 0, 1);
INSERT INTO `sys_privilege` VALUES (876, '学生库选择', 'StudentLibrary', 'BUTTON', 40, 11, 'AUTH', '759', 1, 0, 1);
INSERT INTO `sys_privilege` VALUES (877, '选择学生（学生库选择）', 'SelectStudent', 'BUTTON', 40, 12, 'AUTH', NULL, 1, 0, 1);
INSERT INTO `sys_privilege` VALUES (878, '作废', 'Cancel', 'LINK', 42, 5, 'AUTH', '879', 1, 0, 1);
INSERT INTO `sys_privilege` VALUES (879, '作废', '/api/admin/exam/task/cancel', 'URL', 42, 8, 'AUTH', NULL, 1, 1, 1);

ALTER TABLE `exam_task` ADD COLUMN `cancel_remark` MEDIUMTEXT NULL COMMENT '作废原因' AFTER `paper_name`;